Subject: RE: PIM Working Group last call for draft-ietf-pim-v2-sm-01.txt

From: "Shekhar, Ravi" <[email-masked]>
Date: Wed, 1 Dec 1999 11:31:17 -0500

Liming,
  I am still curious to know how the following 
  scenario is covered by the draft.
  Regards.
  - Ravi Shekhar.

> > I was considering the following scenario:
> > 
> >               <*,G>->
> >    r---R1----R2------|I
> >                      |----RP
> >    s---R3---R4-------|
> >                <-<S,G> ???
> >               
> > 
> > r is the recvr, s is the sender.
> > RP decides to switch to shortest path.
> > Will R4 be able to detect and switch to SPT without
> > RP sending a <S, G> join to it?
> 
> No. The RP has to decide if it needs to switch to the SPT.

In that case, RP here has an <S, G> entry with iif as I and
oif list as "null" (only oif I is also iif so its not included
in the list). 
It will _not_ generate <S, G>join as per section
  3.2.1 Sending Join/Prune Messages
   Periodic Join/Prune Messages:
   point 2.3 
    "3 The oif list in the (S,G) entry is not null."
which requires it to be "not null".

Is it covered somewhere else/in some other form in the draft?
Thanks.

- Ravi Shekhar.

> 
> Folks,
> 
> This is a PIM Working Group last call for the PIM sparse mode draft,
> submitted as <draft-ietf-pim-v2-sm-01.txt>. This last call expires
> by Jan 1 2000. Please post comments on this mailing list.
> 
>  Thanks,
> -Liming Wei & Tom Pusateri
>